Subject: Re: man, info fail me in cygwin 1.5.18. Thanks, it works
From: Rolf Maier <[email-masked]>
To: [email-masked]
Cc: Eric Blake <[email-masked]>
Date: Sun, 14 Aug 2005 20:03:44 -0600

Eric Blake wrote:

>>Hello,
>>    I upgraded cygwin to 1.5.18(0.132/4/2) 2005-07-02 20:30 i686.
>>If I type 'man man' I get
>>
>>Error executing formatting or display command.
>>System command (cd "/usr/share/man" && (echo ".ll 7.2i"; echo ".nr LL 
>>7.2i"; echo ".pl 1100i"; /usr/bin/cat '/usr/share/man/man1/man.1'; echo 
>>".\\\""; echo ".pl \n(nlu+10") | /usr/bin/tbl | /usr/bin/nroff -c 
>>-mandoc 2>/dev/null | /usr/bin/less -isrR) exited with status 127.
>>No manual entry for man
>>    
>>
>
>Something in your installation failed, and you no longer have
>a working /bin/sh (did it ask you to reboot, because in-use files
>were replaced?)  At any rate, the solution is to rerun setup.exe,
>and select bash for reinstallation, or to manually run
>/etc/postinstall/00bash.sh.done.
>
>  
>
>>Not Found: sh
>>    
>>
>
>--
>Eric Blake
>volunteer cygwin bash maintainer
>
>
>  
>
- Executing  /etc/postinstall/00bash.sh.done worked wonders.
- "in-use files": Cygwin was closed when I reinstalled and it never 
asked for a reboot.
-  "the solution is to rerun setup.exe".Oddly, when I did that (or do it 
now) I only get Misc
    under the main header All, the rest has disappeared.

    Thanks a lot for the prompt help,
        Rolf

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/